import Layout from '@/layout';

const meetemergencyRoutes = {
  path: '/meetemergency',
  component: Layout,
  redirect: '/meetemergency/index',
  name: 'users',
  alwaysShow: true,
  meta: {
    title: '应急辅助决策',
    icon: 'nested',
    permissions: ['view menu admin'],
  },
  children: [
    {
      path: 'index',
      component: () => import('@/views/meetemergency/index'),
      name: 'meetemergency',
      meta: { title: '应急预案', icon: 'nested', permissions: ['manage admin'] },
    },
    {
      path: 'ziyuan',
      component: () => import('@/views/meetemergency/ziyuan'),
      name: 'meetemergency1',
      meta: { title: '专家库', icon: 'chart', permissions: ['manage admin'] },
    }, {
      path: 'infozhuanjia',
      component: () => import('@/views/meetemergency/infozhuanjia'),
      name: 'meetemergency2',
      hidden: true,
      meta: { title: '专家详情', icon: 'chart', permissions: ['manage admin'] },
    }, {
      path: 'anli',
      component: () => import('@/views/meetemergency/anli'),
      name: 'anli',
      meta: { title: '案例库', icon: 'chart', permissions: ['manage admin'] },
    }, {
      path: 'zhishi',
      component: () => import('@/views/meetemergency/knowledge/index'),
      name: 'zhishi',
      meta: { title: '知识库', icon: 'chart', permissions: ['manage admin'] },
    }],
};
export default meetemergencyRoutes;
